Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class NURBSPolygonizer

    java.lang.Object
      de.grogra.math.SubdivisionHelper
          de.grogra.imp3d.objects.NURBSSubdivisionHelper
              de.grogra.imp3d.objects.NURBSPolygonizer

All Implemented Interfaces:
  BSpline.BezierPatchVisitor

    public class NURBSPolygonizer

extends NURBSSubdivisionHelper
implements BSpline.BezierPatchVisitor

Field Summary

Fields inherited from class de.grogra.math.SubdivisionHelper
`degree, dimension, flatness, rational`

Constructor Summary
`NURBSPolygonizer(PolygonArray out, boolean rational, Pool pool, int flags)`

Method Summary
`protected void` | `subdivideCurve(FloatList v, float[] tmp, int part, int depth)`
`void` | `visit(int uIndex, int vIndex, float[] data, int dimension, int uDegree, int vDegree, float uLeft, float uRight, float vLeft, float vRight, boolean uvPermuted)`
`protected void` | `visitFlat(float[] v, int index)`

Methods inherited from class de.grogra.imp3d.objects.NURBSSubdivisionHelper
`setFlatness`

Methods inherited from class de.grogra.math.SubdivisionHelper
`isFlat, subdivide`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NURBSPolygonizer

    public NURBSPolygonizer(PolygonArray out,
                            boolean rational,
                            Pool pool,
                            int flags)

Method Detail

### subdivideCurve

    protected void subdivideCurve(FloatList v,
                                  float[] tmp,
                                  int part,
                                  int depth)

  Overrides:
    `subdivideCurve` in class `SubdivisionHelper`

### visit

    public void visit(int uIndex,
                      int vIndex,
                      float[] data,
                      int dimension,
                      int uDegree,
                      int vDegree,
                      float uLeft,
                      float uRight,
                      float vLeft,
                      float vRight,
                      boolean uvPermuted)

  Specified by:
    `visit` in interface `BSpline.BezierPatchVisitor`

### visitFlat

    protected void visitFlat(float[] v,
                             int index)

  Specified by:
    `visitFlat` in class `SubdivisionHelper`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD